Debian Bug report logs - #570268
sky2 fails when memory exceeds 2GB on amd64 kernel

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Dale Schroeder <dale@BriannasSaladDressing.com>

Date: Wed, 17 Feb 2010 19:18:01 UTC

Severity: normal

Tags: moreinfo

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to netdev@vger.kernel.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#570268; Package linux-image-2.6.32-trunk-amd64. (Wed, 17 Feb 2010 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dale Schroeder <dale@BriannasSaladDressing.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Feb 2010 19:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dale Schroeder <dale@BriannasSaladDressing.com>
To: submit@bugs.debian.org
Cc: debian-kernel@lists.debian.org
Subject: sky2 fails when memory exceeds 2GB on amd64 kernel
Date: Wed, 17 Feb 2010 12:51:04 -0600
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.32-trunk-amd64
Version: 2.6.32-5

Package: linux-image-2.6.30-2-amd64
Version: 2.6.30-8squeeze1

No matter what brand, size, or speed of ddr2 RAM I try, I cannot 
successfully boot when the installed memory is greater than 2GB.
The system is an Acer Aspire M1100 with the most recent BIOS.  I have 
tried with kernels 2.6.32-5 and 2.6.30-8squeeze1.

During the boot sequence, sky2 fails with a 0x2010 pci error; then 
several programs slowly load until dmsg appears, at which time the 
screen fills with hexadecimal errors similar to those in this debian bug 
thread:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457967

Disabling the network interface in the BIOS allows bootup to finish, 
although some programs fail to load due to the missing network connection.
Decreasing the RAM to 2GB returns booting to normal.

I've seen numerous references to bugs with this network hardware and the 
amd64 kernel, but none related to adding extra memory.  I am unaware as 
to how I can capture the errors, since I cannot finish the boot process 
when the errors happen.
-- 
Dale Schroeder

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#570268; Package linux-image-2.6.32-trunk-amd64. (Wed, 17 Feb 2010 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Feb 2010 23:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 570268@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dale Schroeder <dale@BriannasSaladDressing.com>
Subject: Re: sky2 fails when memory exceeds 2GB on amd64 kernel
Date: Wed, 17 Feb 2010 22:56:18 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2010-02-17 at 12:51 -0600, Dale Schroeder wrote:
> Package: linux-image-2.6.32-trunk-amd64
> Version: 2.6.32-5 
> 
> Package: linux-image-2.6.30-2-amd64
> Version: 2.6.30-8squeeze1
> 
> No matter what brand, size, or speed of ddr2 RAM I try, I cannot
> successfully boot when the installed memory is greater than 2GB.
> The system is an Acer Aspire M1100 with the most recent BIOS.  I have
> tried with kernels 2.6.32-5 and 2.6.30-8squeeze1.
> 
> During the boot sequence, sky2 fails with a 0x2010 pci error; then
> several programs slowly load until dmsg appears, at which time the
> screen fills with hexadecimal errors similar to those in this debian
> bug thread:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457967
[...]

Please send a copy of this messages, which will be in /var/log/dmesg
once the system has booted.

Ben.


-- 
Ben Hutchings
Make three consecutive correct guesses and you will be considered an expert.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#570268; Package linux-image-2.6.32-trunk-amd64. (Thu, 18 Feb 2010 04:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dale and Cheryl Schroeder <dale@texasbb.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Feb 2010 04:24:04 GMT) Full text and rfc822 format available.

Message #15 received at 570268@bugs.debian.org (full text, mbox):

From: Dale and Cheryl Schroeder <dale@texasbb.com>
To: 570268@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Debian bug #570268: sky2 fails when memory exceeds 2GB on amd64 kernel
Date: Wed, 17 Feb 2010 21:55:11 -0600
[Message part 1 (text/plain, inline)]
All I find in the dmesg logs are the successful boots when I have only 
2GB memory installed.
The boot failures log nothing.  I'm attaching images of the screen at 
failure.
Perhaps, there are enough readable messages to provide a clue.

Dale
[am1100_fail.jpg (image/jpeg, attachment)]
[am1100_fail1.jpg (image/jpeg, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#570268; Package linux-image-2.6.32-trunk-amd64. (Sat, 20 Feb 2010 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dale and Cheryl Schroeder <dale@texasbb.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 20 Feb 2010 03:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 570268@bugs.debian.org (full text, mbox):

From: Dale and Cheryl Schroeder <dale@texasbb.com>
To: 570268@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: sky2 fails when memory exceeds 2GB on amd64 kernel
Date: Fri, 19 Feb 2010 21:11:28 -0600
I tested another network card, a Netgear GA311 which uses the r8169 driver.
With this card, all 4GB of memory is recognized and the system 
successfully boots.
This would seem to rule out the BIOS and points to sky2 on the Marvell 
m/b chip
being my problem.

Obviously, the new card doesn't resolve the bug, but it does solve my 
problem.

Dale




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#570268; Package linux-image-2.6.32-trunk-amd64. (Sun, 21 Feb 2010 02:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Feb 2010 02:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 570268@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stephen Hemminger <shemminger@vyatta.com>
Cc: 570268@bugs.debian.org, Dale Schroeder <dale@texasbb.com>, netdev@vger.kernel.org
Subject: Re: sky2 fails when memory exceeds 2GB on amd64 kernel
Date: Sun, 21 Feb 2010 02:06:06 +0000
[Message part 1 (text/plain, inline)]
Stephen,

Debian received this bug report on sky2:

Dale Schroeder wrote:
> No matter what brand, size, or speed of ddr2 RAM I try, I cannot 
> successfully boot when the installed memory is greater than 2GB.
> The system is an Acer Aspire M1100 with the most recent BIOS.  I have 
> tried with kernels 2.6.32-5 and 2.6.30-8squeeze1.
> 
> During the boot sequence, sky2 fails with a 0x2010 pci error; then 
> several programs slowly load until dmsg appears, at which time the 
> screen fills with hexadecimal errors similar to those in this debian bug 
> thread:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457967
> 
> Disabling the network interface in the BIOS allows bootup to finish, 
> although some programs fail to load due to the missing network connection.
> Decreasing the RAM to 2GB returns booting to normal.
> 
> I've seen numerous references to bugs with this network hardware and the 
> amd64 kernel, but none related to adding extra memory.  I am unaware as 
> to how I can capture the errors, since I cannot finish the boot process 
> when the errors happen.

Further information:

> I tested another network card, a Netgear GA311 which uses the r8169 driver.
> With this card, all 4GB of memory is recognized and the system 
> successfully boots.
> This would seem to rule out the BIOS and points to sky2 on the Marvell 
> m/b chip
> being my problem.
> 
> Obviously, the new card doesn't resolve the bug, but it does solve my 
> problem.

Does this sound like a plausible symptom of the bugs fixed by:

f6815077e75c5b7f55b56fc3788e328514d4e72a sky2: fix transmit DMA map leakage
3fbd9187d004149fb8a98c9cb51ef9f4a4f66aca sky2: hand receive DMA mapping failures

In any case, are the above suitable for 2.6.32-stable (once merged by
Linus)?

Ben.

-- 
Ben Hutchings
73.46% of all statistics are made up.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'netdev@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 21 Feb 2010 02:12:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-image-2.6.32-trunk-amd64' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 26 Apr 2010 05:39:27 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.32-5. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 26 Apr 2010 05:39:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#570268; Package linux-2.6. (Tue, 31 May 2011 02:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 May 2011 02:00:03 GMT) Full text and rfc822 format available.

Message #36 received at 570268@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dale Schroeder <dale@BriannasSaladDressing.com>
Cc: 570268@bugs.debian.org
Subject: Re: sky2 fails when memory exceeds 2GB on amd64 kernel
Date: Tue, 31 May 2011 02:57:01 +0100
[Message part 1 (text/plain, inline)]
Dale,

Is this bug still present in Debian 6.0 'squeeze'?  I applied many bug
fixes to the sky2 driver in package version 2.6.32-22, and those may
have fixed it (but I can't tell from the descriptions).

If not, please can you test Linux 2.6.38 (from testing) or 2.6.39
(unstable)?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 02:00:05 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sun, 30 Sep 2012 19:30:06 GMT) Full text and rfc822 format available.

Notification sent to Dale Schroeder <dale@BriannasSaladDressing.com>:
Bug acknowledged by developer. (Sun, 30 Sep 2012 19:30:06 GMT) Full text and rfc822 format available.

Message #43 received at 570268-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 570268-done@bugs.debian.org
Subject: Re: sky2 fails when memory exceeds 2GB on amd64 kernel
Date: Sun, 30 Sep 2012 12:27:31 -0700
Ben Hutchings wrote:

> Is this bug still present in Debian 6.0 'squeeze'?  I applied many bug
> fixes to the sky2 driver in package version 2.6.32-22, and those may
> have fixed it (but I can't tell from the descriptions).

Closing due to lack of response, but if you have any more information,
please don't hesitate to write and we'll be glad to pick it up again.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Oct 2012 07:29:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:00:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.